import React from 'react';
declare type ReactChildren = JSX.Element[] | JSX.Element;
declare type PopoverTrigger = React.ReactElement & {
    onClick?: () => void;
    setReferenceElement?: () => void;
};
export declare function PopoverTrigger({ children, togglePopover, setReferenceElement, }: {
    children: React.ReactElement;
    togglePopover?: () => void;
    setReferenceElement?: () => void;
}): PopoverTrigger;
export declare function PopoverBody({ header, children, showPopover, container, setPopperElement, styles, attributes, togglePopover, widthBody, }: {
    header: string;
    children?: ReactChildren;
    showPopover?: Boolean;
    container?: Element;
    setPopperElement?: () => void;
    styles?: Record<'popper' & string, any>;
    attributes?: Record<'popper' & string, any>;
    togglePopover?: () => void;
    widthBody?: Number;
}): JSX.Element;
export declare function Popover({ children }: {
    children: ReactChildren;
}): JSX.Element;
export {};
